#[serial_test::serial]
#[tokio::test]
async fn test_list_200_generated_success() {
    let mut client = sideko_rest_api::SidekoClient::default()
        .with_api_key_auth("API_KEY")
        .with_cookie_auth("API_KEY")
        .with_environment(sideko_rest_api::Environment::MockServer);
    let res = client
        .doc()
        .version()
        .list(sideko_rest_api::resources::doc::version::ListRequest {
            doc_name: "my-project".to_string(),
        })
        .await;
    println!("{:?}", res);
    assert!(res.is_ok());
}
#[serial_test::serial]
#[tokio::test]
async fn test_get_200_generated_success() {
    let mut client = sideko_rest_api::SidekoClient::default()
        .with_api_key_auth("API_KEY")
        .with_cookie_auth("API_KEY")
        .with_environment(sideko_rest_api::Environment::MockServer);
    let res = client
        .doc()
        .version()
        .get(sideko_rest_api::resources::doc::version::GetRequest {
            doc_name: "my-project".to_string(),
            doc_version: sideko_rest_api::models::IdOrInt::Str(
                "3e4666bf-d5e5-4aa7-b8ce-cefe41c7568a".to_string(),
            ),
        })
        .await;
    println!("{:?}", res);
    assert!(res.is_ok());
}
